%global owner openstack-infra
%global srcname gear

Name: python-%{srcname}
Version: 0.11.0
Release: 1%{?dist}
Summary: Pure Python Async Gear Protocol Library

Group: Applications/Productivity
License: ASL 2.0
URL: https://github.com/openstack-infra/%{srcname}
Source0: http://tarballs.openstack.org/gear/gear-%{version}.tar.gz

BuildArch: noarch

BuildRequires: git
BuildRequires: python2-devel
BuildRequires: python3-devel
BuildRequires: python-pbr
BuildRequires: python3-pbr

# Test requirements
BuildRequires: pyOpenSSL
BuildRequires: python-fixtures
BuildRequires: python-statsd
BuildRequires: python-testrepository
BuildRequires: python-testresources
BuildRequires: python-testscenarios


%global _description\
python-gear implements an asynchronous event-driven interface to Gearman.\
It provides interfaces to build a client or worker, and access to the\
administrative protocol. The design approach is to keep it simple, with a\
relatively thin abstraction of the Gearman protocol itself. It should be\
easy to use to build a client or worker that operates either synchronously\
or asynchronously. The module also provides a simple Gearman server for\
use as a convenience in unit tests. The server is not designed for\
production use under load.\


%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires: python-extras
Requires: python-daemon
Requires: python-pbr
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary: %summary
Requires: python3-extras
Requires: python3-daemon
Requires: python3-pbr
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -S git
# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py testr


%files -n python2-%{srcname}
%doc README.rst CONTRIBUTING.rst doc
%license LICENSE
%{_bindir}/*
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*egg-info

%files -n python3-%{srcname}
%doc README.rst CONTRIBUTING.rst doc
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*egg-info



%changelog
* Fri Dec 29 2017 Tristan Cacqueray <tdecacqu@redhat.com> - 0.11.0-1
- Update version (#1529648)
- Add python3 package

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.9-7
- Python 2 binary package renamed to python2-gear
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Sep 22 2016 Fabien Boucher <fboucher@redhat.com> - 0.5.9-4
- Fix bogus release version inconsistency

* Thu Sep 22 2016 Fabien Boucher <fboucher@redhat.com> - 0.5.9-3
- Remove useless dependencies to python-argparse

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 16 2016 Paul Belanger <pabelanger@redhat.com> - 0.5.9-1
- New upstream 0.5.9 (#1304141)
- Update spec to latest python packaging guidelines
- Enable unit testing

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.8-1
- Bump gear source to version 0.5.8
- Add python-pbr as dependency as demo geard needs it

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.7-1
- Bump gear source to version 0.5.7
- Remove dist version in changelog
- Fix license handling

* Thu Apr 23 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.6-0
- Initial packaging
